/************************************************************************************
   Code created using the ARMwizard, visit http://alexan.edaboard.eu 
************************************************************************************/

#include <LPC213x.h>


int main(void)
{
/*
    P0.0:  PORT0.0 (General purpose I/O)  Input
    P0.1:  PORT0.1 (General purpose I/O)  Input
    P0.2:  PORT0.2 (General purpose I/open-drain O)  Input
    P0.3:  PORT0.3 (General purpose I/open-drain O)  Input
    P0.4:  PORT0.4 (General purpose I/O)  Input
    P0.5:  PORT0.5 (General purpose I/O)  Input
    P0.6:  PORT0.6 (General purpose I/O)  Input
    P0.7:  PORT0.7 (General purpose I/O)  Input
    P0.8:  PORT0.8 (General purpose I/O)  Input
    P0.9:  PORT0.9 (General purpose I/O)  Input
    P0.10:  PORT0.10 (General purpose I/O)  Input
    P0.11:  PORT0.11 (General purpose I/O)  Input
    P0.12:  PORT0.12 (General purpose I/O)  Input
    P0.13:  PORT0.13 (General purpose I/O)  Input
    P0.14:  PORT0.14 (General purpose I/O)  Input
    P0.15:  PORT0.15 (General purpose I/O)  Input
    P0.16:  PORT0.16 (General purpose I/O)  Input
    P0.17:  PORT0.17 (General purpose I/O)  Input
    P0.18:  PORT0.18 (General purpose I/O)  Input
    P0.19:  PORT0.19 (General purpose I/O)  Input
    P0.20:  PORT0.20 (General purpose I/O)  Input
    P0.21:  PORT0.21 (General purpose I/O)  Input
    P0.22:  MAT0.0 (Match output for Timer 0 channel 0)
    P0.23:  PORT0.23 (General purpose I/O)  Input
    P0.25:  PORT0.25 (General purpose I/O)  Input
    P0.26:  PORT0.26 (General purpose I/O)  Input
    P0.27:  PORT0.27 (General purpose I/O)  Input
    P0.28:  PORT0.28 (General purpose I/O)  Input
    P0.29:  PORT0.29 (General purpose I/O)  Input
    P0.30:  PORT0.30 (General purpose I/O)  Input
    P0.31:  PORT0.31 (General purpose O)  Output
    P1.16:  PORT1.16 (General purpose I/O)  Input
    P1.17:  PORT1.17 (General purpose I/O)  Input
    P1.18:  PORT1.18 (General purpose I/O)  Input
    P1.19:  PORT1.19 (General purpose I/O)  Input
    P1.20:  PORT1.20 (General purpose I/O)  Input
    P1.21:  PORT1.21 (General purpose I/O)  Input
    P1.22:  PORT1.22 (General purpose I/O)  Input
    P1.23:  PORT1.23 (General purpose I/O)  Input
    P1.24:  PORT1.24 (General purpose I/O)  Input
    P1.25:  POR11.25 (General purpose I/O)  Input
    P1.26:  PORT1.26 (General purpose I/O)  Input
    P1.27:  PORT1.27 (General purpose I/O)  Input
    P1.28:  PORT1.28 (General purpose I/O)  Input
    P1.29:  PORT1.29 (General purpose I/O)  Input
    P1.30:  PORT1.30 (General purpose I/O)  Input
    P1.31:  PORT1.31 (General purpose I/O)  Input
*/


    PINSEL0 = 0x00000000;     /* binary: 00000000_00000000_00000000_00000000 */
    IO0DIR = 0x80000000;     /* binary: 10000000_00000000_00000000_00000000 */
    PINSEL1 = 0x00003000;     /* binary: 00000000_00000000_00110000_00000000 */
    PINSEL2 = 0x00000000;     /* binary: 00000000_00000000_00000000_00000000 */
    IO1DIR = 0x00000000;     /* binary: 00000000_00000000_00000000_00000000 */

/******************************************************************************
                             Timer0 (32bit)
*******************************************************************************
   Counter Enabled,    Counter Reset=0
   Timer mode: count on rising edge of PCLK
   Counter clk: 4 KHz, Counts every: 250 us  (calculated with peripheral clock: 15MHz)
   MCR0.0 : reset, on compare match
   MAT0.0 : On compare match Toggle bit/output
*/

    PCONP = (PCONP & 0x001817BE) | (1UL<<1);    /* Enable peripheral clock for Timer0 (default is enabled) */

    T0CTCR = 0x00;     /* binary: 00000000 */
    T0TC = 0x00000000;     /* decimal 0 */
    T0PR = 0x00000EA5;     /* decimal 3749 */
    T0MCR = 0x0002;     /* binary: 00000000_00000010 */
    T0MR0 = 0x00000001;     /* decimal 1 */
    T0MR1 = 0x00000000;     /* decimal 0 */
    T0MR2 = 0x00000000;     /* decimal 0 */
    T0MR3 = 0x00000000;     /* decimal 0 */
    T0CCR = 0x0000;     /* binary: 00000000_00000000 */
    T0EMR = 0x0031;     /* binary: 00000000_00110001 */
    T0TCR = 0x01;     /* binary: 00000001 */

   while(1)
  {
  
  
   }

}
